Subject: Re; 2.4.0-test9 on B&W G3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 22 Sep 2000 18:47:05 +0200

>I have also been seeing the same old 'lost interrupt' problem when trying
>to boot a B&W G3 using the latest yaboot (0.8) on the latest pmac-devel
>rsync kernel.  I was wondering if this was a know bug with the latest 2.4
>tree kernel's.  I also booted the same kernel on a new G4/450 with no
>problems.

I have a fix for that too. I'll push it as soon as I have access to bk again.
In the meantime, apply enclosed changeset to the current linuxppc_2_3 bk tree.

This changeset revives Geert PCI code, adds Samuel fix (indeed the
correct fix), and
add some more IDE fix for PCI-IDE controllers like the CMD646.

Ben.